Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class Interpreter

    java.lang.Object
      org.codehaus.groovy.tools.shell.Interpreter

    class Interpreter
    extends Object

Helper to interpret a source buffer.

Authors:
  Jason Dillon

Version:
  \$Id: Interpreter.groovy 15932 2009-04-08 03:51:03Z user57 \$

Property Summary
`static String` | `SCRIPT_FILENAME`

Constructor Summary
`Interpreter(ClassLoader classLoader, Binding binding)`

Method Summary
`def` | `evaluate(List buffer)`
`GroovyClassLoader` | `getClassLoader()`
`Binding` | `getContext()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### SCRIPT_FILENAME

    static final String SCRIPT_FILENAME

Constructor Detail

### Interpreter

    Interpreter(ClassLoader classLoader, Binding binding)

Method Detail

### evaluate

    def evaluate(List buffer)

### getClassLoader

    GroovyClassLoader getClassLoader()

### getContext

    Binding getContext()

Copyright © 2003-2010 The Codehaus. All rights reserved.